/*
===============================================================================
 Name        : main.c
 Author      : nlv11817
 Description : main definition
===============================================================================
*/
#include "touch_task.h"
#include "comm_task.h"
#include "lcd.h"

void SysTick_Handler(void)
{
    if (sys.service_timer > 0)
        sys.service_timer --;

    if (service_comm_timer > 0)
        service_comm_timer --;
}

int main(void)
{
    SystemInit();
    COM_Init();
    Init_LcdTask();
    Init_Touch();

    SysTick_Config(SystemCoreClock/1000);          // Generate interrupt each 1 ms

    while (1)
    {
        COM_Task();
        if (sys.service_timer == 0)
            Touch_Task();

//        __WFI();
    }
}        
